# classes/phing/tasks/system/MoveTask.php

## \MoveTask
jump to top

Moves a file or directory to a new file or directory.

By default, the destination file is overwritten if it already exists. When overwrite is turned off, then files are only moved if the source file is newer than the destination file, or when the destination file does not exist.

Source files and directories are only deleted when the file or directory has been copied to the destination successfully.

Extends from
  \CopyTask
author
  Andreas Aderhold, andi@binarycloud.com
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 985 $

### Methods

`__construct( ) :`
`deleteDir( $d ) :`
Go and delete the directory tree.
Parameters

Name | Type | Description
--- | --- | ---
$d |  |

`doWork( ) :`
`okToDelete( $d ) :`
Its only ok to delete a dir tree if there are no files in it.
Parameters

Name | Type | Description
--- | --- | ---
$d |  |

`validateAttributes( ) : void`
Validates attributes coming in from XML
Details

access
  private
throws

Documentation was generated by DocBlox 0.13.1.